Subject: bug#30038: 26.0.90; tramp-make-tramp-file-name fails tramp-tramp-file-p

From: Leo Liu <[email-masked]>
Date: Tue, 09 Jan 2018 11:41:22 +0800

The remote name constructed by (tramp-make-tramp-file-name nil user nil
host nil localname) fails tramp-tramp-file-p predicate. bug?

I am testing this on centos7 and emacs-26 built on 2018-1-4.